# class Factory

#### package js.html.idb

Available on HTML5

In the following code snippet, we make a request to open a database, and include handlers for the success and error cases. For a full working example, see our To-do Notifications app (view example live.)

Documentation IDBFactory by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/IDBFactory

### Methods

###

`cmp (first:Dynamic, second:Dynamic):Int`

Throws:

`null` | DOMError

###

`deleteDatabase (name:String, ?options:OpenDBOptions):OpenDBRequest`

Throws:

`null` | DOMError

###

`open (name:String, ?options:OpenDBOptions):OpenDBRequest`

`open (name:String, version:Int):OpenDBRequest`

Throws:

`null` | DOMError